Skip to content

Loading…

Rails 3.1 + client_side_validations + simple_form #283

Closed
kamelury opened this Issue · 7 comments

6 participants

@kamelury

hi,
I am trying to make this work.
I tried different versions of:
simple_form (1.5.1,1.5.2, 2.0.0.rc)
client_side_validations (3.1.4, 3.2.0.beta and using :git => 'git://github.com/bcardarella/client_side_validations.git').
client_side_validations-simple_form (both https://github.com/dockyard/client_side_validations-simple_form and https://github.com/seivan/client_side_validations-simple_form.

Client_side_validations seems to work for forms created with FormHelper, but does nothing for SimpleForm forms.
I know someone else before reported the issue with simple_form.
I was wondering if there currently exsist any working configuration that would enable me to use client_side_validations with simple_form in my project?

thanks

@bashcoder

Yup - same issue here.

@patelsan

Bump.Has anyone got it working?

@tboyko

This combination works:

client_side_validations 3.2.0.beta3
simple_form 2.0.1
rails 3.2

You will need to include the JS contained in this issue:
#286

@patelsan

Thank you @tboyko , I will give it a shot today.

@dbachet

I'm using this configuration:

client_side_validations 3.2.0.beta3
simple_form 1.5.2
client_side_validations-simple_form 1.5.0.beta.3
rails 3.2

which is working without adding additionnal code.

@kamelury

Thank you!
I will give it a try as soon as we upgrade to rails 3.2.

@bcardarella

SimpleForm 2.0.0 is only being supported in ClientSideValidations 3.2.0 which in turn only supports Rails 3.2.x.

I've just pushed support for SimpleForm 2.0.0 in the plug-in gem:

gem 'client_side_validations-simple_form', '2.0.0.beta.1'
@bcardarella bcardarella closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.